Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class RepaintManager

    java.lang.Object
      org.apache.batik.bridge.RepaintManager

    public class RepaintManager

extends Object

This class manages the rendering of a GVT tree.

Field Summary
`protected ImageRenderer` | `renderer` The renderer used to repaint the buffer.

Constructor Summary
`RepaintManager(ImageRenderer r)` Creates a new repaint manager.

Method Summary
`BufferedImage` | `getOffScreen()` Returns the renderer's offscreen, i.e., the current state as rendered by the associated renderer.
`void` | `setupRenderer(AffineTransform u2d, boolean dbr, Shape aoi, int width, int height)` Sets up the renderer so that it is ready to render for the new 'context' defined by the user to device transform, double buffering state, area of interest and width/height.
`Collection` | `updateRendering(Collection areas)` Updates the rendering buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### renderer

    protected ImageRenderer renderer

  The renderer used to repaint the buffer.

Constructor Detail

### RepaintManager

    public RepaintManager(ImageRenderer r)

  Creates a new repaint manager.

Method Detail

### updateRendering

    public Collection updateRendering(Collection areas)
                               throws InterruptedException

  Updates the rendering buffer.

  Parameters:
    `areas` - The areas of interest in renderer space units.
  Returns:
    the list of the rectangles to repaint.
  Throws:
    `InterruptedException`

### setupRenderer

    public void setupRenderer(AffineTransform u2d,
                              boolean dbr,
                              Shape aoi,
                              int width,
                              int height)

  Sets up the renderer so that it is ready to render for the new 'context' defined by the user to device transform, double buffering state, area of interest and width/height.

  Parameters:
    `u2d` - The user to device transform.
    `dbr` - Whether the double buffering should be used.
    `aoi` - The area of interest in the renderer space units.
    `width` - The offscreen buffer width.
    `height` - The offscreen buffer width.

### getOffScreen

    public BufferedImage getOffScreen()

  Returns the renderer's offscreen, i.e., the current state as rendered by the associated renderer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.